## f_stat

The f_stat gets the file status.

    FRESULT f_stat (
      const TCHAR* FileName,  /* Pointer to the file or directory name */
      FILINFO* FileInfo       /* Pointer to the FILINFO structure */
    );

#### Parameters

FileName
  Pointer to the null-terminated string that specifies the file or directory to get its information.
FileInfo
  Pointer to the blank `FILINFO` structure to store the information.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_FILE, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The f_stat gets the information of a file or directory. For details of the infomation, refer to the `FILINFO` structure and f_readdir function. This function is not supported in minimization level of >= 1.

#### References

`f_opendir, f_readdir, FILINFO`

Return